Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class Result

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.Result

public class Result
extends java.lang.Object

This structure in the disposition Report structure. It contains all the error related information.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`Result()` Class constructor.

Method Summary
`ErrInfo` | `getErrInfo()` Gets the error information.
`java.lang.String` | `getErrno()` Gets the error number.
`java.lang.String` | `getKeyType()` Gets the key type.
`void` | `setErrInfo(ErrInfo value)` Sets the error information.
`void` | `setErrno(java.lang.String value)` Sets the error number.
`void` | `setKeyType(java.lang.String value)` Sets the key type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Result

    public Result()

  Class constructor.

Method Detail

### getErrInfo

    public ErrInfo getErrInfo()

  Gets the error information.

  Returns:
    the error information.

### setErrInfo

    public void setErrInfo(ErrInfo value)

  Sets the error information.

  Parameters:
    `the` - new error information.

### getKeyType

    public java.lang.String getKeyType()

  Gets the key type.

  Returns:
    the key type.

### setKeyType

    public void setKeyType(java.lang.String value)

  Sets the key type.

  Parameters:
    `the` - new key type.

### getErrno

    public java.lang.String getErrno()

  Gets the error number.

  Returns:
    the error number.

### setErrno

    public void setErrno(java.lang.String value)

  Sets the error number.

  Parameters:
    `the` - new error number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference